module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 7);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),
/* 1 */
/***/ (function(module, exports) {

module.exports = require("react-redux");

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var Admin_1 = __webpack_require__(8);
exports.AdminContainer = Admin_1.default;
var Protected_1 = __webpack_require__(9);
exports.ProtectedContainer = Protected_1.default;
var Login_1 = __webpack_require__(10);
exports.LoginContainer = Login_1.default;
var OAuthButton_1 = __webpack_require__(12);
exports.OAuthButton = OAuthButton_1.default;
var SignOutButton_1 = __webpack_require__(13);
exports.SignOutButton = SignOutButton_1.default;
var UserInfo_1 = __webpack_require__(14);
exports.UserInfoContainer = UserInfo_1.default;


/***/ }),
/* 3 */
/***/ (function(module, exports) {

module.exports = require("react-bootstrap-button-loader");

/***/ }),
/* 4 */
/***/ (function(module, exports) {

module.exports = require("classnames");

/***/ }),
/* 5 */
/***/ (function(module, exports) {

module.exports = require("redux-oauth");

/***/ }),
/* 6 */
/***/ (function(module, exports) {

module.exports = require("lodash");

/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(2));
__export(__webpack_require__(15));


/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(0);
const react_redux_1 = __webpack_require__(1);
const Admin = ({ authData }) => {
    return React.createElement("div", null, `Welcome admin user: ${authData.name}. You must be logged in as an admin if you are seeing this page.`);
};
exports.default = react_redux_1.connect(state => ({ authData: state.user.data }))(Admin);


/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(0);
const react_redux_1 = __webpack_require__(1);
const Protected = ({ authData }) => {
    return (React.createElement("div", null, `This is a protected page, you must be logged in if you are seeing this. Welcome ${authData.name}`));
};
exports.default = react_redux_1.connect(state => ({ authData: state.user.data }))(Protected);


/***/ }),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(0);
const react_redux_1 = __webpack_require__(1);
const client_redux_1 = __webpack_require__(11);
class Login extends React.Component {
    constructor() {
        super(...arguments);
        this.onClick = (e) => {
            e.preventDefault();
            this.props.login({
                name: this.refs.name.value,
                isAdmin: this.refs.admin.checked,
            });
        };
    }
    render() {
        return (React.createElement("div", null,
            React.createElement("div", null,
                React.createElement("input", { type: "text", ref: "name", placeholder: "Enter your username" })),
            React.createElement("label", null,
                React.createElement("input", { type: "checkbox", ref: "admin" }),
                "Are you an Administrator?"),
            React.createElement("div", null,
                React.createElement("button", { onClick: this.onClick }, "Login"))));
    }
}
exports.Login = Login;
exports.default = react_redux_1.connect(null, { login: client_redux_1.login })(Login);


/***/ }),
/* 11 */
/***/ (function(module, exports) {

module.exports = require("@identity-stack/client-redux");

/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(0);
const react_redux_1 = __webpack_require__(1);
const react_bootstrap_button_loader_1 = __webpack_require__(3);
const cx = __webpack_require__(4);
const redux_oauth_1 = __webpack_require__(5);
const lodash_1 = __webpack_require__(6);
class OAuthButton extends React.Component {
    constructor() {
        super(...arguments);
        this.handleClick = () => {
            this.props.oAuthSignIn(this.props.provider);
        };
    }
    render() {
        const { disabled, loading, icon, className } = this.props;
        const restProps = lodash_1.omit(this.props, ['disabled', 'loading', 'icon', 'className', 'dispatch', 'provider']);
        const style = {};
        delete restProps.oAuthSignIn;
        return (React.createElement(react_bootstrap_button_loader_1.default, Object.assign({ loading: loading, icon: icon, className: cx(className, 'oauth-sign-in-submit'), disabled: disabled, onClick: this.handleClick }, restProps)));
    }
}
OAuthButton.defaultProps = {
    children: React.createElement("span", null, "OAuth Sign In"),
    icon: null,
};
const mapStateToProps = ({ auth }, ownProps) => ({
    disabled: auth.getIn(['user', 'isSignedIn']),
    loading: auth.getIn(['oAuthSignIn', ownProps.provider, 'loading']),
});
const mapDispatchToProps = (dispatch) => ({
    oAuthSignIn(provider) {
        dispatch(redux_oauth_1.oAuthSignIn({ provider }));
    },
});
exports.default = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(OAuthButton);


/***/ }),
/* 13 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(0);
const react_redux_1 = __webpack_require__(1);
const react_bootstrap_button_loader_1 = __webpack_require__(3);
const cx = __webpack_require__(4);
const redux_oauth_1 = __webpack_require__(5);
const lodash_1 = __webpack_require__(6);
class SignOutButton extends React.Component {
    constructor() {
        super(...arguments);
        this.handleClick = () => {
            this.props.signOut();
        };
    }
    render() {
        const { disabled, loading, icon, className } = this.props;
        const restProps = lodash_1.omit(this.props, ['disabled', 'loading', 'icon', 'className', 'dispatch']);
        const style = {};
        delete restProps.signOut;
        return (React.createElement(react_bootstrap_button_loader_1.default, Object.assign({ loading: loading, icon: icon, className: cx(className, 'oauth-sign-in-submit'), disabled: disabled, onClick: this.handleClick }, restProps)));
    }
}
SignOutButton.defaultProps = {
    children: React.createElement("span", null, "Sign Out"),
    icon: null,
};
const mapStateToProps = ({ auth }, ownProps) => ({
    disabled: !auth.getIn(['user', 'isSignedIn']),
    loading: auth.getIn(['signOut', 'loading']),
});
const mapDispatchToProps = (dispatch) => ({
    signOut() {
        dispatch(redux_oauth_1.signOut());
    },
});
exports.default = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(SignOutButton);


/***/ }),
/* 14 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(0);
const react_redux_1 = __webpack_require__(1);
;
class UserInfo extends React.Component {
    render() {
        const { signedIn, name, uid, provider, errors } = this.props;
        console.log('userInfo errors', errors);
        if (!signedIn) {
            return null;
        }
        return (React.createElement("div", null,
            React.createElement("table", { className: 'infoTable' },
                React.createElement("tbody", null,
                    React.createElement("tr", null,
                        React.createElement("td", null, "Name"),
                        React.createElement("td", null, name)),
                    React.createElement("tr", null,
                        React.createElement("td", null, "Provider"),
                        React.createElement("td", null, provider)),
                    React.createElement("tr", null,
                        React.createElement("td", null, "Uid"),
                        React.createElement("td", null, uid))))));
    }
}
const mapStateToProps = (state) => {
    const signedIn = state.auth.getIn(['user', 'isSignedIn']) || false;
    if (signedIn) {
        const name = state.auth.getIn(['user', 'attributes', 'name']);
        const provider = state.auth.getIn(['user', 'attributes', 'provider']);
        const uid = state.auth.getIn(['user', 'attributes', 'uid']);
        return { signedIn, name, provider, uid };
    }
    return { signedIn };
};
exports.default = react_redux_1.connect(mapStateToProps)(UserInfo);


/***/ }),
/* 15 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(16));
var App_1 = __webpack_require__(17);
exports.App = App_1.default;


/***/ }),
/* 16 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(0);
exports.Home = () => {
    return (React.createElement("div", null,
        React.createElement("h4", null, 'This demo serves as an example on how to use redux-auth-wrapper with react-router-4'),
        React.createElement("h4", null, 'Notice that Protected and Admin routes are protected and you will have to log in to see them.'),
        React.createElement("h4", null, 'The Admin page required you to be logged in as an admin. Click Login to begin the demo.')));
};


/***/ }),
/* 17 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(0);
const containers_1 = __webpack_require__(2);
class App extends React.Component {
    render() {
        return (React.createElement("div", null,
            React.createElement("h2", null, "Sign in"),
            React.createElement(containers_1.OAuthButton, { provider: "local" }, "Login"),
            React.createElement(containers_1.OAuthButton, { provider: "github" }, "Github"),
            React.createElement(containers_1.UserInfoContainer, null),
            React.createElement("h2", null, "Sign out"),
            React.createElement(containers_1.SignOutButton, null)));
    }
}
exports.default = App;


/***/ })
/******/ ]);
//# sourceMappingURL=index.js.map